##### Views

- Page
- Discussion
- View source
- History

# love.physics.newWorld

Creates a new World.

## Function

Available since LÖVE 0.8.0
This variant is not supported in earlier versions.

### Synopsis

world = love.physics.newWorld( xg, yg, sleep )

### Arguments

`number xg (0)`
  The x component of gravity.
`number yg (0)`
  The y component of gravity.
`boolean sleep (true)`
  Whether the bodies in this world are allowed to sleep.

### Returns

`World world`
  A brave new World.

## Function

Removed in LÖVE 0.8.0
These variants are not supported in that and later versions.

This function creates a new World with the given size, no gravity and sleeping turned on.

### Synopsis

world = love.physics.newWorld( x1, y1, x2, y2 )

### Arguments

`number x1`
  The smallest x position in the world.
`number y1`
  The smallest y position in the world.
`number x2`
  The largest x position in the world.
`number y2`
  The largest y position in the world.

### Returns

`World world`
  A World object.

## Function

### Synopsis

world = love.physics.newWorld( x1, y1, x2, y2, xg, yg, sleep )

### Arguments

`number x1`
  The smallest x position in the world.
`number y1`
  The smallest y position in the world.
`number x2`
  The largest x position in the world.
`number y2`
  The largest y position in the world.
`number xg`
  The x component of gravity.
`number yg`
  The y component of gravity.
`boolean sleep (true)`
  Whether sleep is possible in the world.

### Returns

`World world`
  A brave new World.

## See Also

- love.physics
- World

## Other Languages

Dansk – Deutsch – English – Español – Français – Indonesia – Italiano – Lietuviškai – Magyar – Nederlands – Polski – Português – Română – Slovenský – Suomi – Svenska – Türkçe – Česky – Ελληνικά – Български – Русский – Српски – Українська – עברית – ไทย – 日本語 – 正體中文 – 简体中文 – Tiếng Việt – 한국어
More info

Retrieved from "https://www.love2d.org/wiki/love.physics.newWorld"
Categories: Templates | Functions

##### Personal tools

- Log in

##### Search

##### Toolbox

- What links here
- Related changes
- Special pages
- Printable version
- Permanent link
- Browse properties